<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.indexer Class Hierarchy (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.nutch.indexer Class Hierarchy (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/hostdb/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/indexer/anchor/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/indexer/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.apache.nutch.indexer</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/AbstractMap.html?is-external=true" title="class or interface in java.util"><span class="typeNameLink">AbstractMap</span></a>&lt;K,V&gt; (implements java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;K,V&gt;)
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/HashMap.html?is-external=true" title="class or interface in java.util"><span class="typeNameLink">HashMap</span></a>&lt;K,V&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, java.util.<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;K,V&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriterParams.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriterParams</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/CleaningJob.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">CleaningJob</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configured.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configured</span></a> (implements org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)
<ul>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/AbstractChecker.html" title="class in org.apache.nutch.util"><span class="typeNameLink">AbstractChecker</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingFiltersChecker.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexingFiltersChecker</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexerMapReduce.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexerMapReduce</span></a></li>
<li type="circle">org.apache.nutch.util.<a href="../../../../org/apache/nutch/util/NutchTool.html" title="class in org.apache.nutch.util"><span class="typeNameLink">NutchTool</span></a>
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingJob.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexingJob</span></a> (implements org.apache.hadoop.util.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/util/Tool.html?is-external=true" title="class or interface in org.apache.hadoop.util">Tool</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingFilters.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexingFilters</span></a></li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriterConfig.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriterConfig</span></a></li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriters.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriters</span></a></li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriters.IndexWriterWrapper.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriters.IndexWriterWrapper</span></a></li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Mapper</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/CleaningJob.DBFilter.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">CleaningJob.DBFilter</span></a></li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexerMapReduce.IndexerMapper.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexerMapReduce.IndexerMapper</span></a></li>
</ul>
</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">NutchDocument</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/NutchField.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">NutchField</span></a> (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/NutchIndexAction.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">NutchIndexAction</span></a> (implements org.apache.hadoop.io.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Writable.html?is-external=true" title="class or interface in org.apache.hadoop.io">Writable</a>)</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/OutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">OutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.hadoop.mapreduce.lib.output.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/output/FileOutputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.output"><span class="typeNameLink">FileOutputFormat</span></a>&lt;K,V&gt;
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexerOutputFormat.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexerOutputFormat</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.apache.hadoop.mapreduce.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Reducer.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce"><span class="typeNameLink">Reducer</span></a>&lt;KEYIN,VALUEIN,KEYOUT,VALUEOUT&gt;
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/CleaningJob.DeleterReducer.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">CleaningJob.DeleterReducer</span></a></li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexerMapReduce.IndexerReducer.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexerMapReduce.IndexerReducer</span></a></li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingException.html" title="class in org.apache.nutch.indexer"><span class="typeNameLink">IndexingException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf"><span class="typeNameLink">Configurable</span></a>
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingFilter.html" title="interface in org.apache.nutch.indexer"><span class="typeNameLink">IndexingFilter</span></a> (also extends org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>)</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriter.html" title="interface in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriter</span></a> (also extends org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>)</li>
</ul>
</li>
<li type="circle">org.apache.nutch.plugin.<a href="../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin"><span class="typeNameLink">Pluggable</span></a>
<ul>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexingFilter.html" title="interface in org.apache.nutch.indexer"><span class="typeNameLink">IndexingFilter</span></a> (also extends org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
<li type="circle">org.apache.nutch.indexer.<a href="../../../../org/apache/nutch/indexer/IndexWriter.html" title="interface in org.apache.nutch.indexer"><span class="typeNameLink">IndexWriter</span></a> (also extends org.apache.hadoop.conf.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/hostdb/package-tree.html">Prev</a></li>
<li><a href="../../../../org/apache/nutch/indexer/anchor/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/indexer/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
